summaryrefslogtreecommitdiff
path: root/bin/common
diff options
context:
space:
mode:
Diffstat (limited to 'bin/common')
-rwxr-xr-xbin/common/ytclipo5
1 files changed, 3 insertions, 2 deletions
diff --git a/bin/common/ytclipo b/bin/common/ytclipo
index b11f84a..4d9d846 100755
--- a/bin/common/ytclipo
+++ b/bin/common/ytclipo
@@ -1,13 +1,14 @@
#!/bin/sh
-inp="$(ytlink)"
+inp="$1"
+[ -z "$inp" ] && inp="$(ytlink)"
+[ "$inp" ] || exit 1
>&2 printf "inp: %s\n" "$inp"
notify-send "ytclipo" "$inp" || :
yt-dlp "$inp" \
--restrict-filenames \
--embed-chapters \
- -f "b" \
-S "res:1080" \
-P "$HOME/vids/youtube/" \
-o "%(channel)s/%(title)s.%(ext)s"